<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class FillAbwBankDaten4Belegung
{
  public function fillAbwBankDaten($pBelegung)
  {
    if (SessionOperations::isDefinedIntern('w_abw_bankbez')
            && SessionOperations::isDefinedIntern('w_abw_kontoinh')
            && (SessionOperations::isDefinedIntern('w_abw_kontonr') && SessionOperations::isDefinedIntern('w_abw_blz') || (SessionOperations::isDefinedIntern('w_abw_iban')))) {
      $pBelegung->konto_inh = SessionOperations::getVarValueIntern('w_abw_kontoinh');
      $pBelegung->bank = SessionOperations::getVarValueIntern('w_abw_bankbez');

      if (SessionOperations::isDefinedIntern('w_abw_kontonr') && SessionOperations::isDefinedIntern('w_abw_blz')) {
        $pBelegung->konto = SessionOperations::getVarValueIntern('w_abw_kontonr');
        $pBelegung->blz = SessionOperations::getVarValueIntern('w_abw_blz');
      } else {
        $pBelegung->iban = SessionOperations::getVarValueIntern('w_abw_iban');
        $pBelegung->bic = SessionOperations::getVarValueIntern('w_abw_bic');
      }

      $pBelegung = $this->_abwKontodatenKuferTools($pBelegung);
      
    }

    return $pBelegung;
  }

  protected function _abwKontodatenKuferTools($pBelegung)
  {
    if (SessionOperations::isKuferTools()) {
      if (isset($_REQUEST['abw_bank']) && $pBelegung->bank == '') {
        $pBelegung->bank = $_REQUEST['abw_bank'];
      }
      if (isset($_REQUEST['abw_inhaber']) && $pBelegung->konto_inh == '') {
        $pBelegung->konto_inh = $_REQUEST['abw_inhaber'];
      }
      if (isset($_REQUEST['abw_bic']) && $pBelegung->bic == '') {
        $pBelegung->bic = $_REQUEST['abw_bic'];
      }
      if (isset($_REQUEST['abw_iban']) && $pBelegung->iban == '') {
        $pBelegung->iban = $_REQUEST['abw_iban'];
      }
      if (isset($_REQUEST['abw_blz']) && $pBelegung->blz == '') {
        $pBelegung->blz = $_REQUEST['abw_blz'];
      }
      if (isset($_REQUEST['abw_kto']) && $pBelegung->konto == '') {
        $pBelegung->konto = $_REQUEST['abw_kto'];
      }
    }

    return $pBelegung;
  }
}